Subject: Re: [nwcrg] nwcrg Digest, Vol 26, Issue 8

From: Marie-Jose Montpetit <[email-masked]>
Date: Mon, 4 May 2015 10:12:12 -0400

I don’t know how long this tutorial will be but I do believe that having 5 minutes on “BTW now that we convinced you how great this is, if you want to try this out here are the places you can get some examples and under which conditions” is a good idea :-)

Since there is not as of now an Open Source implementation of network coding people wanting to try it out should be aware of how to do it.

/mjm
> On May 4, 2015, at 10:06 AM, [email-masked] wrote:
> 
> Send nwcrg mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.irtf.org/mailman/listinfo/nwcrg
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of nwcrg digest..."
> Today's Topics:
> 
>   1. Re: NC tutorial (Carsten Bormann)
>   2. Re: NC tutorial (Muriel Medard)
> 
> From: Carsten Bormann <[email-masked]>
> Subject: Re: [nwcrg] NC tutorial
> Date: May 4, 2015 at 9:54:10 AM EDT
> To: Muriel Medard <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, jonathan detchart <[email-masked]>
> 
> 
>> IPR issues are not broad
>> technical tutorial material, in my view.
> 
> No.  But then, a tutorial for the IETF shouldn't feel like  "Here is
> some cool technology.  Unfortunately, a large part of it cannot be used.
> We won't tell you which part."   This is counterproductive if the
> target audience is the IETF.
> 
> If NWCRG wants to get some of this technology used, maybe we can learn
> from the ECC disaster.  Elliptic curve crypto wasn't used outside of
> niches until the work was done to show that much of it had been
> published already at least 20 years ago.  RFC 6090 liberated ECC for use
> on the Internet by demonstrating (and documenting) which part of it can
> be used.
> 
> Something like RFC 6090 needs to be written for NC.  Once you have it,
> you really want a tutorial revolving around that technology.
> 
> Grüße, Carsten
> 
> 
> 
> 
> 
> From: Muriel Medard <[email-masked]>
> Subject: Re: [nwcrg] NC tutorial
> Date: May 4, 2015 at 10:05:23 AM EDT
> To: jonathan detchart <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> 
> 
> Dear Jonathan, 
> 
> Thank you. Let us then stick to the technical tutorial, which I hope will be broadly interesting. Licensing will be outside the scope of it.
> 
> Best, 
> 
> Muriel. 
> 
> 
> 
> Sent from my Verizon Wireless 4G LTE smartphone
> 
> 
> -------- Original message --------
> From: jonathan detchart <[email-masked]> 
> Date: 05/04/2015 09:45 (GMT-05:00) 
> To: Muriel Medard <[email-masked]> 
> Cc: [email-masked], [email-masked] 
> Subject: Re: [nwcrg] NC tutorial 
> 
> Muriel,
> In my view, this tutorial must be done to foster the use of the Network coding in the industry.
> As you know in industry, the evaluation of a technology is not only for it's optimality but also for it's overall applicability.
> So IPR aspects AND licencing are important.
> 
> But I welcome participating with you !
> 
> Jonathan DETCHART
>> On 04 May 2015, at 15:17, Muriel Medard <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Dear Jonathan, 
>> 
>> Thank you. I think a broader technical  rather than the narrower tutorial would be better at this point. IPR issues are not broad technical tutorial material, in my view.
>> 
>> I look forward to have you participate in the tutorial. 
>> 
>> Best, 
>> 
>> Muriel. 
>> 
>> 
>> 
>> Sent from my Verizon Wireless 4G LTE smartphone
>> 
>> 
>> -------- Original message --------
>> From: jonathan detchart <[email-masked] <mailto:[email-masked]>> 
>> Date: 05/04/2015 09:14 (GMT-05:00) 
>> To: "Morten V. Pedersen" <[email-masked] <mailto:[email-masked]>> 
>> Cc: [email-masked] <mailto:[email-masked]> 
>> Subject: Re: [nwcrg] NC tutorial 
>> 
>> Hi Morten,
>> 
>> I will be glad to offer my help.
>> 
>> But, in my opinion, I think that for the IETF we should do a tutorial focused on the Network coding applicability and how it fits into FECFRAME for example, and refer to the theory. 
>> 
>> Furthermore, if the goal is to show the benefit of such a technology, we need to talk about the IPR.
>> A set of solutions are patented, other not. I think, this is important for everybody.
>> 
>> But of course, we will participate. Let us know what is your schedule for the contributions.
>> 
>> Jonathan DETCHART
>>> On 04 May 2015, at 03:12, Morten V. Pedersen <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> Hi all,
>>> Just to re-spawn this discussion. I think it would be very good with a tutorial. 
>>> 
>>> To get the ball rolling I was discussing the topic with Muriel Medárd[*] and she kindly offered to give an introduction to some of the theory and math behind it all. I could present some of the implementation aspects, such as computational complexity and memory consumption of the different algorithms and finite fields. 
>>> 
>>> Other possible topics that, in my opinion, could be of interest to the IETF/IRTF crowd could be:
>>> 
>>> - Network coding and {sensor networks, routing, mesh networks, peer-to-peer, streaming, delay tolerant networks, congestion control, Internet of Things}.
>>> 
>>> Any other suggestions and volunteers for other potential topics?
>>> 
>>> Muriel's availability is restricted to Friday the 24th, but I think Friday is typically the most open day - so perhaps that is a good choice? I don't know if there is a process we need to follow or whether we can just decide as a group. So let me summon the elders (aka. the chairs) on that one. 
>>> 
>>> - M
>>> 
>>> 
>>> On 04/01/2015 03:35 AM, Vincent Roca wrote:
>>>> Great. It should be useful to introduce NC concepts in the light of previous IETF activities in terms of content delivery protocols and AL-FEC schemes,
>>>> plus CC and other aspects if meaningful. There’s a lot to say…
>>>> I did something similar a year ago, https://hal.inria.fr/hal-00948895 <https://hal.inria.fr/hal-00948895> , probably too Inria-centric on some parts, but it’s easy to fix.
>>>> 
>>>> Cheers,
>>>> 
>>>>   Vincent
>>>> 
>>>> 
>>>>> Le 31 mars 2015 à 16:17, jonathan detchart <[email-masked] <mailto:[email-masked]>> a écrit :
>>>>> 
>>>>> We (the Tetrysians) are interested to participate.
>>>>> 
>>>>> Thank you Victor for sharing the existing document with the list.
>>>>> Another document to put on a public repo with the architecture draft.
>>>>> 
>>>>> Jonathan
>>>>>> On 31 Mar 2015, at 14:34, Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>> wrote:
>>>>>> 
>>>>>> Yes interesting! I think I know that team from EU programs. 
>>>>>> 
>>>>>> But I think we need more of an IETF-oriented tutorial with yes the coding fundamentals but more framework/protocol information and of course address the issues of congestion control that were raised in the past and in Dallas. Hence my reaching out to our FECFRAME colleagues to set the 'tone' and then I suppose for the different solution-owners to contribute if they are interested (Morten, Cedric, Jonathan...).
>>>>>> 
>>>>>> Maybe posting what you had done with Muriel and Joao would get the ball rolling?
>>>>>> 
>>>>>> Thanks
>>>>>> 
>>>>>> Marie-José Montpetit
>>>>>> [email-masked] <mailto:[email-masked]>
>>>>>> 
>>>>>> On Mar 30, 2015, at 11:40, Firoiu, Victor (US SSA) <[email-masked] <mailto:[email-masked]>> wrote:
>>>>>> 
>>>>>>> I found this recent survey informative and useful as it is systematic in its summarization. It contains much more than a tutorial, but it is a good source of information.
>>>>>>>  
>>>>>>> “Network Coding Theory: A Survey,” Riccardo Bassoli, Hugo Marques, Jonathan Rodriguez, Kenneth W. Shum and Rahim Tafazolli, Communications Surveys & Tutorials, IEEE  (Volume:15 ,  Issue: 4 ), February 2013.
>>>>>>> http://home.ie.cuhk.edu.hk/~wkshum/papers/NCsurvey.pdf <http://home.ie.cuhk.edu.hk/%7Ewkshum/papers/NCsurvey.pdf>
>>>>>>>  
>>>>>>> Victor
>>>>>>>  
>>>>>>> From: nwcrg [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Morten V. Pedersen
>>>>>>> Sent: Monday, March 30, 2015 11:24 AM
>>>>>>> To: [email-masked] <mailto:[email-masked]>
>>>>>>> Subject: Re: [nwcrg] NC tutorial
>>>>>>>  
>>>>>>> I think a tutorial document and session would be a nice contribution. Perhaps a Sunday tutorial session based on the document created? 
>>>>>>> 
>>>>>>> - M
>>>>>>> 
>>>>>>> On 03/30/2015 11:15 AM, Marie-Jose Montpetit wrote:
>>>>>>> I actually seek the advice of the group since I know there is information somewhere. Maybe do a joint tutorial on the Sunday in Prague? With all stakeholders involved? Someone like you or Vincent Roca who have been there before would be perfect to be the main presenters with presentations from subject experts? 
>>>>>>>  
>>>>>>>  
>>>>>>> Marie-Jose Montpetit, Ph.D.
>>>>>>> [email-masked] <mailto:[email-masked]>
>>>>>>> @SocialTVMIT
>>>>>>>  
>>>>>>> On Mar 30, 2015, at 11:02 AM, Brian Adamson <[email-masked] <mailto:[email-masked]>> wrote:
>>>>>>>  
>>>>>>> It’s probably worthwhile to do something like this. Were you thinking a presentation type format?  Or something else? On the former, I provided and “RMT Retrospective” brief at one of the earlier NWCRG meetings that may have some useful content to put in the context you suggest here. 
>>>>>>>  
>>>>>>> - Brian
>>>>>>>  
>>>>>>> On Mar 30, 2015, at 10:51 AM, Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>> wrote:
>>>>>>>  
>>>>>>> After Friday I was asked many times for a “tutorial” as a number of participants wanted to know more about NC. 
>>>>>>>  
>>>>>>> It made me look at what is available publicly. And there is very little.
>>>>>>>  
>>>>>>> I have been using the Christina Fragouli paper of 2006 that while giving a good overview and being at the “right level” is now a bit dated:
>>>>>>> algo.epfl.ch/~christin/primer.ps <http://algo.epfl.ch/%7Echristin/primer.ps>
>>>>>>> And we wrote a paper on "Network Coding Myths” that can also give background:
>>>>>>> http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf <http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf>
>>>>>>>  
>>>>>>> There are of course other scientific papers that all have some background but those are usually more fundamental research. 
>>>>>>> And sadly the more recent tutorial materials are only offered in scientific conferences, corporate briefings or professional training.
>>>>>>>  
>>>>>>> And in any case I think we need to also position NC in the evolution of the IEFT from pilc, RMT and FECFRAME and the creation of TCP “flavors”, congestion control and buffer management as well as routing. Not a small task!
>>>>>>>  
>>>>>>> Would that be something the group could collaborate to collectively? But of course it’s another distraction from the goals of the research group.
>>>>>>>  
>>>>>>>  
>>>>>>> Marie-Jose Montpetit, Ph.D.
>>>>>>> [email-masked] <mailto:[email-masked]>
>>>>>>> @SocialTVMIT
>>>>>>>  
>>>>>>> _______________________________________________
>>>>>>> nwcrg mailing list
>>>>>>> [email-masked] <mailto:[email-masked]>
>>>>>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>>>>>>  
>>>>>>>  
>>>>>>> 
>>>>>>> 
>>>>>>> 
>>>>>>> _______________________________________________
>>>>>>> nwcrg mailing list
>>>>>>> [email-masked] <mailto:[email-masked]>
>>>>>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>>>>>>  
>>>>>>> _______________________________________________
>>>>>>> nwcrg mailing list
>>>>>>> [email-masked] <mailto:[email-masked]>
>>>>>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>>>>> _______________________________________________
>>>>>> nwcrg mailing list
>>>>>> [email-masked] <mailto:[email-masked]>
>>>>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>>>> _______________________________________________
>>>>> nwcrg mailing list
>>>>> [email-masked] <mailto:[email-masked]>
>>>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>>> 
>>>> 
>>>> 
>>>> _______________________________________________
>>>> nwcrg mailing list
>>>> [email-masked] <mailto:[email-masked]>
>>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>> 
>>> _______________________________________________
>>> nwcrg mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>> 
> 
> 
> 
> _______________________________________________
> nwcrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nwcrg